#
# spec file for package oiv (Version 2.1.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp lesstif lesstif-devel libgpp mesa mesa-devel mesasoft xextra xf86 xf86glu xf86glu-devel yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less lesstif lesstif-devel libgpp libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xextra xf86 xf86glu xf86glu-devel xshared yacc

Name:         oiv
Copyright:    Silicon Graphics, Inc.
Group:        System Environment/Libraries
Requires:     mesa lesstif
Autoreqprov:  on
Version:      2.1.5
Release:      142
Summary:      Open Inventor - toolkit for writing 3d programs
URL:          http://oss.sgi.com/projects/inventor/
Source:       ftp://oss.sgi.com/projects/inventor/download/inventor-2.1.5-6.src.tar.bz2
Patch:        inventor.dif
BuildRoot:    /tmp/buildroot_oiv

%description
The Open Inventor 3d Toolkit is an object-oriented toolkit
that simplifies and abstracts the task of writing graphics
programming  into  a  set  of  easy to use objects.  These
objects range from low level data-centered objects such as
Sphere,  Camera, Material, Light, and Group, to high level
application-level objects such as Walkthrough  Viewer  and
Material  Editor.   The  foundation concept in Inventor is
the "scene database" which defines the objects to be  used
in an application.  When using Inventor, a programmer cre
ates, edits, and composes these objects into  hierarchical
3d  scene graphs (i.e., database).  A variety of fundamen
tal application tasks such as  rendering,  picking,  event
handling, and file reading/writing are built-in operations
of all objects in the database  and  thus  are  simple  to
invoke.

Authors:
--------
    Silicon Graphics, Inc.

SuSE series: x3d

%package -n oivdata
Summary:      Open Inventor data - example models
Group:        System Environment/Libraries
Autoreqprov:  on

%description -n oivdata
The Open Inventor 3d Toolkit is an object-oriented toolkit
that simplifies and abstracts the task of writing graphics
programming  into  a  set  of  easy to use objects.  These
objects range from low level data-centered objects such as
Sphere,  Camera, Material, Light, and Group, to high level
application-level objects such as Walkthrough  Viewer  and
Material  Editor.   The  foundation concept in Inventor is
the "scene database" which defines the objects to be  used
in an application.  When using Inventor, a programmer cre
ates, edits, and composes these objects into  hierarchical
3d  scene graphs (i.e., database).  A variety of fundamen
tal application tasks such as  rendering,  picking,  event
handling, and file reading/writing are built-in operations
of all objects in the database  and  thus  are  simple  to
invoke.

Authors:
--------
    Silicon Graphics, Inc.

SuSE series: x3d

%package -n oivdemos
Summary:      Open Inventor - Demo programs
Group:        System Environment/Libraries
Autoreqprov:  on

%description -n oivdemos
The Open Inventor 3d Toolkit is an object-oriented toolkit
that simplifies and abstracts the task of writing graphics
programming  into  a  set  of  easy to use objects.  These
objects range from low level data-centered objects such as
Sphere,  Camera, Material, Light, and Group, to high level
application-level objects such as Walkthrough  Viewer  and
Material  Editor.   The  foundation concept in Inventor is
the "scene database" which defines the objects to be  used
in an application.  When using Inventor, a programmer cre
ates, edits, and composes these objects into  hierarchical
3d  scene graphs (i.e., database).  A variety of fundamen
tal application tasks such as  rendering,  picking,  event
handling, and file reading/writing are built-in operations
of all objects in the database  and  thus  are  simple  to
invoke.

Authors:
--------
    Silicon Graphics, Inc.

SuSE series: x3d

%package -n oivdevel
Summary:      Open Inventor - Development
Group:        System Environment/Libraries
Autoreqprov:  on

%description -n oivdevel
The Open Inventor 3d Toolkit is an object-oriented toolkit
that simplifies and abstracts the task of writing graphics
programming  into  a  set  of  easy to use objects.  These
objects range from low level data-centered objects such as
Sphere,  Camera, Material, Light, and Group, to high level
application-level objects such as Walkthrough  Viewer  and
Material  Editor.   The  foundation concept in Inventor is
the "scene database" which defines the objects to be  used
in an application.  When using Inventor, a programmer cre
ates, edits, and composes these objects into  hierarchical
3d  scene graphs (i.e., database).  A variety of fundamen
tal application tasks such as  rendering,  picking,  event
handling, and file reading/writing are built-in operations
of all objects in the database  and  thus  are  simple  to
invoke.

Authors:
--------
    Silicon Graphics, Inc.

SuSE series: x3d

%prep
%setup -n inventor
%patch
# some dirty hacks
cp -f /usr/include/GL/gl.h /tmp/gl.h
grep -v GL_GLEXT_LEGACY /tmp/gl.h|grep -v glext.h > /usr/include/GL/gl.h 
for i in `find . -name \*.c++`
do
  mv $i $i.tmp
  cat > $i << EOF
#define size_t unsigned int
extern "C" char *strdup(const char *s);
extern "C" int strcasecmp(const char *s1, const char *s2);
extern "C" void bcopy (const void *src, void *dest, size_t n);
extern "C" char *getwd(char *buf);
EOF
  cat $i.tmp >> $i; rm $i.tmp
done

%build
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib
export IVROOT=$RPM_BUILD_ROOT
export DISPLAY=:95
Xvfb :95 &
trap "kill $! || true" EXIT
make -i
cp -f /tmp/gl.h /usr/include/GL/gl.h

%install
mkdir -p /tmp/buildroot_oiv
rm -rf /tmp/buildroot_oiv/*
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib
export IVROOT=$RPM_BUILD_ROOT
export DISPLAY=:95
Xvfb :95 &
trap "kill $! || true" EXIT
cp -a lib/libInventor.so /usr/lib
cp -a libSoXt/libInventorXt.so /usr/lib
make install
mv $RPM_BUILD_ROOT/usr/man $RPM_BUILD_ROOT/usr/share
install -o root -g root -m 755 apps/nodes/GeneralizedCylinder/libGeneralizedCylinder.so $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/lib/DPS/outline/base
ln -sf /usr/lib/X11/fonts/Type1/UTRG____.pfa \
 $RPM_BUILD_ROOT/usr/lib/DPS/outline/base/Utopia-Regular
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/oiv
install -o root -g root -m 644 COPYING FAQ.misc KNOWN.BUGS README.FIRST \
 $RPM_BUILD_ROOT/usr/share/doc/packages/oiv

%files
/usr/share/doc/packages/oiv/
/usr/bin/
/usr/lib/
/usr/share/man/man1/SceneViewer.1.gz
/usr/share/man/man1/iv2toiv1.1.gz
/usr/share/man/man1/ivcat.1.gz
/usr/share/man/man1/ivdowngrade.1.gz
/usr/share/man/man1/ivfix.1.gz
/usr/share/man/man1/ivinfo.1.gz
/usr/share/man/man1/ivview.1.gz

%files -n oivdata
/usr/share/data/models/

%files -n oivdemos
%dir /opt/SGIDemos
/opt/SGIDemos/Inventor/

%files -n oivdevel
/usr/include/Inventor/
/usr/share/man/man1/inventor.1.gz
/usr/share/man/man3/

%changelog -n oiv
* Tue Jun 26 2001 - ro@suse.de
- but ignore if nothing was killed,
  process might have terminated already
* Thu Jun 21 2001 - schwab@suse.de
- Make sure Xvfb is always killed.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Fri Mar 02 2001 - ro@suse.de
- include time.h
* Mon Feb 12 2001 - pblaha@suse.cz
- added URL
* Fri Jan 19 2001 - sndirsch@suse.de
- use lesstif again (segfaults with openmotif)
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Fri Nov 17 2000 - sndirsch@suse.de
- fixed compile errors (replaced "make" with "make -i")
* Mon Nov 13 2000 - sndirsch@suse.de
- fixed creating of manual pages (dynamic linking problem)
* Fri Nov 10 2000 - sndirsch@suse.de
- dirty hack to compile it with Mesa 3.4 (patches <GL/gl.h>)
* Tue Nov 07 2000 - sndirsch@suse.de
- removed manpages.tar.gz (manual pages are now built dynamically
  thanks to Xvfb)
* Mon Sep 18 2000 - sndirsch@suse.de
- created OpenInventor package
